/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package giocoimpiccato;

import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.nio.file.Paths;
import java.util.Random;

/**
 *
 * @author alex_2
 */
public class GiocoImpiccato {

    public static void menu()
    {
        System.out.println("1:Gioca");
        System.out.println("0:Exit");
    }
    
    private static void clearConsole()
    {
        try
        {
            String os = System.getProperty("os.name");
            if (os.contains("Windows"))
                Runtime.getRuntime().exec("cls");
            else
                Runtime.getRuntime().exec("clear");
        }
        catch (Exception exception)
        {
            
        }
    }
    
    private static String[] caricaFile(String nomefile) throws FileNotFoundException, IOException
    {
        String temp;
        int i = 0;
        BufferedReader fr;
        FileReader fin = new FileReader(nomefile);
        fr = new BufferedReader(fin);
        while((temp = fr.readLine()) != null)
            i++;
        fin.close();
        String v[];
        v = new String[i];
        i = 0;
        fin = new FileReader(nomefile);
        fr = new BufferedReader(fin);
        while((temp = fr.readLine()) != null)
            v[i++] = temp;
        return v;
        
    }
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) throws IOException {
        //Carico il file delle parole
        
        Impiccato impiccato = new Impiccato();
        String parole[] = caricaFile("data/italian");
        //Introduzione
        int numeroParole = parole.length;
        Random r = new Random();
        System.out.println("Questo e' il famoso gioco dell'impiccato. Devi cercare di " +
        "Indovinare la parola segreta prima che venga completato" +
        " l'omino dell'impiccato. Attento: le parole comprendono " +
        "anche i verbi in ogni declinazione possibile. Buon gioco.");
        int scelta, temporaneo;
        char c;
        
        while (true)
        {
            menu();
            BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
            //Pulisce lo schermo per rendere il gioco più "carino"
            clearConsole();
            String s = br.readLine();
            scelta = Integer.parseInt(s);
            switch (scelta)
            {
            case 1:
                impiccato.setParolaSegreta(parole[r.nextInt(numeroParole)]);
                for (;;)
                {
                    impiccato.stampaStato();
                    System.out.println("\nLettere già usate:");
                    impiccato.stampaLettereUsate();
                    System.out.println("Inserisci carattere:");
                    s = br.readLine();
                    c = s.charAt(0);
                    clearConsole();
                    temporaneo=impiccato.inserisciCarattere(c);
                    if (temporaneo==0)
                        System.out.println("La lettera non e' presente nella parola segreta");
                    else
                        if (temporaneo==-1)
                            System.out.println("Questa lettera l'hai gia' scritta!!!");
                    if (impiccato.controlloVittoria()==1)
                    {
                        System.out.println("BRAVO HAI VINTO....");
                        System.out.println("La parola segreta era " + impiccato.getParolaSegreta());
                        break;
                    }
                    if (impiccato.controlloVittoria() == 0)
                    {
                        clearConsole();
                        System.out.println("HAI PERSO....");
                        System.out.println("La parola segreta era " + impiccato.getParolaSegreta());
                        break;
                    }
                }
                break;
            default:
                return;
            }
        }
    }
}
